Managed Service for ClickHouse API, REST: Cluster.AddZookeeper
Adds a ZooKeeper subcluster to the specified ClickHouse cluster.
HTTP request
POST https://mdb.api.cloud.yandex.net/managed-clickhouse/v1/clusters/{clusterId}:addZookeeper
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the ClickHouse cluster to modify. The maximum string length in characters is 50. |
Body parameters
{
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"hostSpecs": [
{
"zoneId": "string",
"type": "string",
"subnetId": "string",
"assignPublicIp": "boolean",
"shardName": "string"
}
],
"convertTablesToReplicated": "boolean"
}
|
Field |
Description |
|
resources |
Resources allocated to Zookeeper hosts. |
|
hostSpecs[] |
Configuration of ZooKeeper hosts. |
|
convertTablesToReplicated |
boolean Enable automatic convertation of non-replicated MergeTree tables to replicated ones. |
Resources
|
Field |
Description |
|
resourcePresetId |
string ID of the preset for computational resources available to a host (CPU, memory etc.). |
|
diskSize |
string (int64) Volume of the storage available to a host, in bytes. |
|
diskTypeId |
string Type of the storage environment for the host.
|
HostSpec
|
Field |
Description |
|
zoneId |
string ID of the availability zone where the host resides. The maximum string length in characters is 50. |
|
type |
enum (Type) Required field. Type of the host to be deployed.
|
|
subnetId |
string ID of the subnet that the host should belong to. This subnet should be a part The maximum string length in characters is 50. |
|
assignPublicIp |
boolean Whether the host should get a public IP address on creation.
|
|
shardName |
string Name of the shard that the host is assigned to. The maximum string length in characters is 63. Value must match the regular expression |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |